Bug 1264961 - touchpad breaks freeze constantly after upgrade if "disable while typing" active
touchpad breaks freeze constantly after upgrade if "disable while typing" active
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xfce4-settings (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 14:03 EDT by Paul DeStefano
Modified: 2016-07-19 13:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:58:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (18.72 KB, text/plain)
2015-09-21 15:33 EDT, Paul DeStefano
no flags Details
Xorg.0.log.old (19.32 KB, text/plain)
2015-09-21 15:34 EDT, Paul DeStefano
no flags Details

  None (edit)
Description Paul DeStefano 2015-09-21 14:03:12 EDT
Description of problem:
Recently, touchpad mouse is freezing within a few minutes of logging in.  Buttons work, but touch pad is broken and pointer is unusable.  Seems to help if "disable while typing" is not enabled.

Version-Release number of selected component (if applicable):
1.8.2-2.fc22

How reproducible:
Always since last dnf upgrade

Steps to Reproduce:
1. Login (Xfce, not sure if that is related)
2. move mouse around
3. type something

Actual results:
pointer freezes permanently

Expected results:
touchpad should resume pointer control after specified time.

Additional info:
touchpad disables when typing, now, regardless of touchpad settings in Mouse&Touchpad settings editor.
Comment 1 Kevin Fenzi 2015-09-21 14:56:37 EDT
Can you please attach your /var/log/Xorg.0.log (assuming you are using lightdm...)
Comment 2 Paul DeStefano 2015-09-21 15:33 EDT
Created attachment 1075581 [details]
Xorg.0.log

This is the current log, but I changed touchpad settings, so let me also get you the old one, too...
Comment 3 Paul DeStefano 2015-09-21 15:34 EDT
Created attachment 1075583 [details]
Xorg.0.log.old

Maybe this has more or different errors.
Comment 4 Kevin Fenzi 2015-09-21 17:26:25 EDT
Well, I was hoping for one where you see the problem... might be some error logging in that file that indicates what is causing this.
Comment 5 Paul DeStefano 2015-09-21 23:23:09 EDT
Hmm, if it's not in the .old one, then I don't think there are any errors about it.
Comment 6 Paul DeStefano 2015-09-22 00:01:33 EDT
awesome.  I turned the option back on and, naturally, the symptom is gone.  Obviously, I disabling and re-enabling this option before, and it didn't help.  But, I logged out and back in with it disabled, then enabled it and logged out and back in *again.*  That seems to have changed something significant.

yay
Comment 7 Kevin Fenzi 2015-09-22 12:00:24 EDT
I don't see anything obvious in the .old one. ;( 

Not sure what else to do here...
Comment 8 Fedora End Of Life 2016-07-19 13:58:25 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.